Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.synd
Interface SyndPerson

All Superinterfaces:
  Cloneable, Extendable

All Known Implementing Classes:
  SyndPersonImpl

    public interface SyndPerson

extends Cloneable, Extendable

Bean interface for authors and contributors of SyndFeedImpl feeds and entries.

Author:
  Dave Johnson

Method Summary
`Object` | `clone()` Creates a deep clone of the object.
`String` | `getEmail()` Returns email of person.
`String` | `getName()` Returns name of person
`String` | `getUri()` Returns URI of person.
`void` | `setEmail(String email)` Sets email of person.
`void` | `setName(String name)` Sets name of person.
`void` | `setUri(String uri)` Sets URI of person.

Methods inherited from interface com.sun.syndication.feed.module.Extendable
`getModule, getModules, setModules`

Method Detail

### getName

    String getName()

  Returns name of person

### setName

    void setName(String name)

  Sets name of person.

### getUri

    String getUri()

  Returns URI of person.

### setUri

    void setUri(String uri)

  Sets URI of person.

### getEmail

    String getEmail()

  Returns email of person.

### setEmail

    void setEmail(String email)

  Sets email of person.

### clone

    Object clone()
                 throws CloneNotSupportedException

  Creates a deep clone of the object.

  Returns:
    a clone of the object.
  Throws:
    `CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.